<?php

require '../system/start.php';
require '../system/functions.php';
if ($user['level'] == 3 || $user['level'] == 6) {
	$pid = int($_GET['pid']);
	$query = mysql_fetch_assoc(mysql_query("select * from `forum_posts` where `id` = ".$pid.""));
		$str['mesto'] = 'Редактор постов';
		$str['block'] = $set['site'].' / <a href="index.php">Форум</a> / Редактор';
	include '../style/'.$style.'/head.php';
	if(empty($query['text']))
	{
		echo '<div class="forum1">Пост не найден!</div>';
		include '../style/'.$style.'/foot.php';
		exit;
	}
	switch($act)
	{
		default:
		echo '<div class="forum1">Выберите нужные действия в списке постов</div>';
		break;
		case 'edit':
		if(isset($_POST['text']) && !empty($_POST['text']))
		{
			mysql_query("UPDATE `forum_posts` SET `text` = '".protect($_POST['text'])."' WHERE `id` = ".$query['id']."");
			echo '<div class="forum1">Сообщение успешно отредактировано!<br />
			<a href="topic.php?id='.$query['id_topic'].'">Назад</a></div>';
			include '../style/'.$style.'/foot.php';
			exit;
		}
		echo '<div class="mess">
		<form action="control_post.php?act=edit&amp;pid='.$query['id'].'" method="post">
		<div>
		Сообщение:<br/>
		<textarea name="text">'.$query['text'].'</textarea><br/>
		<input name="tid" type="hidden" value="1"/>
		<input type="submit" value="Редактировать"/>
		</div>
		</form>
		</div>
		';
		break;
		case 'delete':
		mysql_query("delete from `forum_posts` where `id` = ".$query['id']."");
		echo '<div class="forum1">Пост успешно удален!</div>';
		break;
	}
} else {
	echo 'Нет доступа!';
}
include '../style/'.$style.'/foot.php';
?>